=== debian/control ===
Source: afancontrol
Section: utils
Priority: optional
Maintainer: Kostya Esmukov <kostya@esmukov.ru>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-all,
               python3-click,
               python3-prometheus-client (>= 0.1.0),
               python3-pytest,
               python3-requests,
               python3-serial,
               python3-setuptools
Standards-Version: 3.9.8
Homepage: https://github.com/KostyaEsmukov/afancontrol

Package: afancontrol
Architecture: all
Depends: hddtemp,
         lm-sensors,
         python3-click,
         python3-pkg-resources,
         python3-prometheus-client (>= 0.1.0),
         python3-serial,
         ${misc:Depends},
         ${python3:Depends}
Suggests: freeipmi-tools
Description: Advanced Fan Control program (Python 3)
 afancontrol is an Advanced Fan Control program, which controls PWM
 fans according to the current temperatures of the system components.
